#!/bin/sh

arg_n=$#

programname=helios_player
coachprog=helios_coach


teamname="TokyoTech2004"
host="localhost"

configfile="player.conf"
strat="strategy.conf"

sleepprogram=usleep
goaliesleep=2000000
sleeptime=1000000

case $arg_n in
2)
host=$1
teamname=$2
;;
1)
host=$1
;;
0)
;;
esac

./$programname -h $host -t $teamname -g -n 1 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $goaliesleep
./$programname -h $host -t $teamname -n 2 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 3 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 4 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 5 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 6 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 7 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 8 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 9 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 10 --player-config ${configfile} -strategy_file ${strat} &
$sleepprogram $sleeptime
./$programname -h $host -t $teamname -n 11 --player-config ${configfile} -strategy_file ${strat} &

$sleepprogram $coachsleep
./$coachprog -h $host -t $teamname &
